//
//  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
//  Copyright (C) 2012 - Pawel Zagorski
//
//  This file must be used under the terms of the CeCILL.
//  This source file is licensed as described in the file COPYING, which
//  you should have received as part of this distribution.  The terms
//  are also available at
//  http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

home_dir = get_absolute_file_path("run_unit_tests.sce");
tst_path = home_dir + "tests/unit_tests/";
mprintf("\n\n");

//check if library is loaded and load if it is not
if ~isdef('xcos_aerolib') then
    exec(home_dir + "loader.sce");
    mprintf("\n");
end

tests = ["plot_groundtrack" "US76_atm_model" "angle_conversion" "distance_conversion" "keplerian_input" "secular_j2" "cjd_time" "ground_station"];

for i=1:size(tests, "*")
  tic();
  mprintf("Testing: %30s", tests(i));
  exec(tst_path + tests(i) + ".tst");
  elapsed_time = toc();
  mprintf("\t\tDone in %f seconds\n", elapsed_time);
end

mprintf("Tests completed \n");
mprintf("\n");

clear home_dir tst_path macros elapsed_time
